3.6.3 Create a Private Warehouse Destination Address
Endpoint:
plain
POST /OpenApi/V1/System/PrivateWarehouse/create?signature=xxxHTTP method: POST
Request parameters:
| Field | Type | Required | Description |
|---|---|---|---|
| deliveryName | string | Yes | Delivery location name |
| deliveryAddress1 | string | No | Address line 1 |
| deliveryAddress2 | string | No | Address line 2 |
| deliveryCountry | string | No | Country |
| deliveryProvince | string | No | State or province |
| deliveryCity | string | No | City |
| deliveryZip | string | No | Postal code |
| phoneCode | string | No | International phone dialing code |
| deliveryPhone | string | No | Phone number |
| deliveryContact | string | No | Contact person |
| deliveryEmail | string | No | Email address |
Success response example:
json
{
"code": "200",
"result": "Address name",
"message": "Created successfully"
}Error response example:
json
{
"code": "400",
"result": [],
"message": "Failed to create"
}